components {
  id: "main"
  component: "/main/main.script"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "background"
  type: "sprite"
  data: "tile_set: \"/main/main.atlas\"\ndefault_animation: \"background\"\nmaterial: \"/builtins/materials/sprite.material\"\nblend_mode: BLEND_MODE_ALPHA\n"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "glass"
  type: "sprite"
  data: "tile_set: \"/main/main.atlas\"\ndefault_animation: \"glass\"\nmaterial: \"/builtins/materials/sprite.material\"\nblend_mode: BLEND_MODE_ALPHA\n"
  position {
    x: 1.0
    y: -1.0
    z: 1.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "traffic_light"
  type: "sprite"
  data: "tile_set: \"/main/main.atlas\"\ndefault_animation: \"trafficlight_green\"\nmaterial: \"/builtins/materials/sprite.material\"\nblend_mode: BLEND_MODE_ALPHA\n"
  position {
    x: 0.0
    y: 1.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "bell"
  type: "sound"
  data: "sound: \"/assets/sounds/bell.ogg\"\nlooping: 0\ngroup: \"master\"\ngain: 1.0\npan: 0.0\nspeed: 1.0\n"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "door"
  type: "sound"
  data: "sound: \"/assets/sounds/door.ogg\"\nlooping: 0\ngroup: \"master\"\ngain: 1.0\npan: 0.0\nspeed: 1.0\n"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "click"
  type: "sound"
  data: "sound: \"/assets/sounds/click.ogg\"\nlooping: 0\ngroup: \"master\"\ngain: 1.0\npan: 0.0\nspeed: 1.0\n"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
embedded_components {
  id: "pull"
  type: "sound"
  data: "sound: \"/assets/sounds/pull.ogg\"\nlooping: 0\ngroup: \"master\"\ngain: 1.0\npan: 0.0\nspeed: 1.0\n"
  position {
    x: 0.0
    y: 0.0
    z: 0.0
  }
  rotation {
    x: 0.0
    y: 0.0
    z: 0.0
    w: 1.0
  }
}
